-- #######################################
-- #######################################
--       GOH SOUND FILES
-- #######################################
-- #######################################


-- COMBAT - FINISH IT SOUND
	function Play_Combat_Finish_It()
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Finish_It_" .. GoH_DeathKnight.Gender .. ".mp3","Master")
	end

-- COMBAT - FINISH HER SOUND
	function Play_Combat_Finish_Her()
		-- CALL RANDOM MATH GENERATOR
		GoH_DeathKnight.NumberRandom = math.random(2);
		if (GoH_DeathKnight.NumberRandom == 1) then
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Finish_Her_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		elseif (GoH_DeathKnight.NumberRandom == 2) then
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Finish_Her2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		end
	end

-- COMBAT - FINISH HIM SOUND
	function Play_Combat_Finish_Him()
		-- CALL RANDOM MATH GENERATOR
		GoH_DeathKnight.NumberRandom = math.random(2);
		if (GoH_DeathKnight.NumberRandom == 1) then
			PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Finish_Him_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		elseif (GoH_DeathKnight.NumberRandom == 2) then
			PlaySoundFile("Interface\\AddOns\\\GoH\\Sounds\\Finish_Him2_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
		end
	end

	-- GUI DEMONSTRATION
	function Play_Combat_Finish_It_Random_Sound()
		-- CALL RANDOM MATH GENERATOR
		GoH_DeathKnight.NumberRandom = math.random(3);
		-- USE RANDOM MATH GENERATOR RESULT
		if (GoH_DeathKnight.NumberRandom == 1) then
				Play_Combat_Finish_Him();
				if GoHv5_DeathKnight_Data.config.Use_Finish_Him_Image == "YES" then
					Show_Finish_Him_Frame();
				end
		elseif (GoH_DeathKnight.NumberRandom == 2) then
				Play_Combat_Finish_Her();
				if GoHv5_DeathKnight_Data.config.Use_Finish_Him_Image == "YES" then
					Show_Finish_Her_Frame();
				end
		elseif (GoH_DeathKnight.NumberRandom == 3) then
				Play_Combat_Finish_It();
				if GoHv5_DeathKnight_Data.config.Use_Finish_Him_Image == "YES" then
					Show_Finish_It_Frame();
				end
		end
	end



-- CONJURE AND PORTAL SOUNDS
	function Play_Conjure_Murloc()
		-- Crouching Strudel, Hidden Murloc
		GoH_DeathKnight.NumberRandom = math.random(3);
		if (GoH_DeathKnight.NumberRandom == 1) then
				PlaySoundFile("Sound\\Creature\\BabyMurloc\\BabyMurlocA.wav","Master")
		elseif (GoH_DeathKnight.NumberRandom == 2) then
			 	PlaySoundFile("Sound\\Creature\\BabyMurloc\\BabyMurlocB.wav","Master")
		elseif (GoH_DeathKnight.NumberRandom == 3) then
				PlaySoundFile("Sound\\Creature\\BabyMurloc\\BabyMurlocC.wav","Master")
		end
	end


-- BATTLEGROUND SOUNDS
function Play_Random_BattleGround_Sound()
		GoH_DeathKnight.NumberRandom = math.random(4);
		if (GoH_DeathKnight.NumberRandom == 1) then
				PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\BattleGround_1.mp3","Master");
		elseif (GoH_DeathKnight.NumberRandom == 2) then
				PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\BattleGround_2.mp3","Master");
		elseif (GoH_DeathKnight.NumberRandom == 3) then
				PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\BattleGround_3.mp3","Master");
		elseif (GoH_DeathKnight.NumberRandom == 4) then
				PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\BattleGround_4.mp3","Master");
		end
end

-- TARGETING SOUNDS
function Play_Random_Alive_Target()
		GoH_DeathKnight.NumberRandom = math.random(2);
		if (GoH_DeathKnight.NumberRandom == 1) then
				PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Clink.mp3","Master");
		elseif (GoH_DeathKnight.NumberRandom == 2) then
				PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Clank.mp3","Master");
		else
		end
end
-- TARGETING SOUNDS
function Play_Random_Dead_Target()
		GoH_DeathKnight.NumberRandom = math.random(2);
		if (GoH_DeathKnight.NumberRandom == 1) then
				PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Clonk.mp3","Master");
		elseif (GoH_DeathKnight.NumberRandom == 2) then
				PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Clunk.mp3","Master");
		else
		end
end


-- GUI OPEN BUTTON CLICK
function Play_GUI_Open()
		if (GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "YES") and (GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == "NO") then
				-- BEHOLD THE TOOLS OF CREATION
				PlaySoundFile("Sound\\Creature\\AlgalonTheObserver\\UR_Algalon_Special02.wav","Master")
		end
end

-- GUI CLOSE BUTTON CLICK
function Play_GUI_Close()
		if (GoHv5_DeathKnight_Data.config.Menu_OpenClose_Sounds == "YES") and (GoHv5_DeathKnight_Data.config.GoH_MenuOpenedAlready == "NO") then
				-- DO YOU FEAR DEATH? HA HA HA HA HA
				PlaySoundFile("Sound\\Creature\\AmbassadorHellmaw\\Auch_Helmaw_Slay01.wav","Master")
		end
end

-- DEFAULT BUTTON SOUND
function GoH_Default_Button_Sound()
		--DEFAULT CLICK SOUND
		PlaySound("GLUECHECKBOXMOUSEOVER","Master");
end


